#
# spec file for package perl-Apache-DBI (Version 1.07)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Apache-DBI
BuildRequires:  apache2-devel apache2-mod_perl libapr-util1-devel pcre-devel perl-DBI
Version:        1.07
Release:        1.4
Provides:       ApacheDBI perl-ApacheDBI
Obsoletes:      perl-ApacheDBI
Requires:       apache2
Requires:       apache2-mod_perl
Requires:       perl = %{perl_version}
Conflicts:      perlmod
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/Apache/
Summary:        Apache authentication via perl DBI
Source:         Apache-DBI-%{version}.tar.bz2
Patch:          Apache-DBI-%{version}-path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These modules are supposed to be used with the Apache server together
with an embedded perl interpreter like mod_perl. They provide support
for basic authentication and authorization as well as support for
persistent database connections via Perl's Database Independent
Interface (DBI).



Authors:
--------
    Tim Bunce       <dbi-users@isc.org>

%prep 
%setup -q -n Apache-DBI-%{version}
%patch

%build
export APACHE=`which httpd`
perl Makefile.PL
make all
make test

%install
export APACHE=`which httpd`
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README traces.txt eg
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Apache
%dir %{perl_vendorarch}/auto/Apache
%{perl_vendorarch}/auto/Apache/DBI
/var/adm/perl-modules/%{name}

%changelog
* Thu Jun 19 2008 anicka@suse.cz
- update to 1.07
  * http://rt.cpan.org/Public/Bug/Display.html?id=31003
  * http://rt.cpan.org/Public/Bug/Display.html?id=29209
    PerlCleanupHandler doesn't get called with MP2
  * http://rt.cpan.org/Public/Bug/Display.html?id=28824
    Documentation Additions
* Fri Mar 30 2007 anicka@suse.cz
- update to 1.06
  * MP2/AuthDBI: Fixed Apache::AuthDBI::debug() to
    actually work.
  * Bump minium required perl version to 5.6.1 to match DBI
* Wed Dec 13 2006 anicka@suse.cz
- update to 1.05
  * MP2/AuthDBI: Add missing Apache2::Access
  * MP1: Undefined subroutine &Apache2::Const::OK called at ....
* Wed Sep 13 2006 anicka@suse.cz
- update to 1.03
  * three minor bugfixes
* Wed Jul 12 2006 anicka@suse.cz
- update to 1.01
  * As DBI has supported only perl 5.6.0 since 2003
    v1.38 Apache::DBI now requires perl 5.6.0 as well.
  * Fix a plethora of uninitialized variable warnings,
    general code cleanup, don't import unneeded symbols
    from Carp, Digest::SHA1, and Digest::MD5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 anicka@suse.cz
- update to 0.9901
- fix #neededforbuild
* Mon Aug  1 2005 pth@suse.de
- Fix file list
* Tue Jun 15 2004 ro@suse.de
- updated requires
* Wed May  5 2004 mjancar@suse.cz
- update neededforbuild
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.94
* Thu Oct 30 2003 mjancar@suse.cz
- update to 0.92
* Wed Sep 17 2003 kukuk@suse.de
- Add provides/obsoletes for package rename
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 23 2003 mjancar@suse.cz
- update to 0.91
- rename to perl-Apache-DBI
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Mon Jul 22 2002 prehak@suse.cz
- doesn't require any specific apache version,
  simply require apache [#16775]
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Nov  5 2001 poeml@suse.de
- use apache-devel-packages macro in #neededforbuild
  (expat.rpm is needed by apxs)
* Sun Aug 12 2001 kukuk@suse.de
- Fix path to perl interpreter
* Wed Mar 28 2001 rolf@suse.de
- update to 0.88
* Fri Feb 23 2001 ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 rolf@suse.de
- extracted from perlmod package
